require 'open3'

module ProcfileSplit
  class Git
    def self.list_branch
      Open3.popen3("git branch") do |stdin, stdout, stderr, wait_thr|
        exit_status = wait_thr.value

        if exit_status == 0
          stdout.read.split("\n").collect(){|branch| branch.gsub(/\\*\W/, "") }
        else
          raise stderr.read
        end
      end
    end
  
    def self.checkout(branch)
      system "git checkout -b \"#{branch}\""
      if $? != 0
        raise "abort: git checkout failed"
      end
    end
  
    def self.add_and_commit(filename, message)
      system "git add '#{filename}'; git commit -m '#{message}'"
      if $? != 0
        raise "abort: git commit failed"
      end
    end
  
    def self.checkout_master
      system "git checkout master"
    end
  end
end