module ProcfileSplit
  class Procfile
    def self.processes(procfile)
      lines = procfile.split("\n")
      lines.inject({}) do |map, line|
        name, command = line.split(":")
        if name && command
          map[name] = command.strip
        end
        map
      end
    end
  
    def self.create_procfile(file, process, command)
      procfile_line = "#{process}: #{command}"
      File.open(file, 'w') do |f| 
        f.write(procfile_line)
      end
    end
  end
end