module ProcfileSplit
  class Raketask
    def self.generate(processes, appname)
      cmd_create_app = processes.collect do |p|
        "system \"heroku create '#{appname}-#{p}' --stack cedar\""
      end.join("\n    ")
      
      cmd_setup_remote = processes.collect do |p|
        "system \"git remote add '#{appname}-#{p}' 'git@heroku.com:#{appname}-#{p}.git'\""
      end.join("\n    ")
      
      cmd_merge = processes.collect do |p|
        "system \"git checkout #{p} && git merge master\""
      end.join("\n    ")
      
      cmd_push = processes.collect do |p|
        "system \"git push #{appname}-#{p} #{p}:master\""
      end.join("\n    ")

      content = <<EOF
namespace :heroku do
  desc "Create heroku apps based on branches"
  task :create do
    #{cmd_create_app}
    #{cmd_setup_remote}
  end

  desc "Deploy to heroku"
  task :deploy do
    #{cmd_merge}
    #{cmd_push}
  end
end
EOF
    end
  end
end